------------------------------------------------------------------------------------
--Name:  	juqing11
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-01-10
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(151, 183)
local Player_1 = CppScriptMgr:AddSimplePlayer(1100170, 151, 183, "Anthony", 0, 0)
Player_1:Say("The curse is about to take effect...", 2000)
Player_1:SetAction(101)
Player_1:SetDir(1)
local Player_2 = CppScriptMgr:AddSimplePlayer(1100195, 150, 185, "Jeanne", 0, 0)
Player_2:SetDir(5)
local effect_2 = CppScriptMgr:AddEffect("ty_ymz", 151, 183, 33, 1, 1, 1)
effect_2:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(3480)
Player_2:SetAction(101)
Player_2:Say("Now matter what happened, I shall never leave you, Anthony!", 1500)
local Effect_1 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 153, 188, 33, 1, 1, 1)
local Effect_3 = CppScriptMgr:AddEffect("nag_bom_ass", 153, 188, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(60)
CppScriptMgr:ShakeScrEffect(5)
CppScriptMgr:WaitMilSec(1430)
Player_1:Say("My heart will always be with you, Jeanne.", 1500)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(200)
local effect_1 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 153, 188, 33, 1, 1, 1)
local effect_3 = CppScriptMgr:AddEffect("nag_bom_ass", 153, 188, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1420)
local Effect_4 = CppScriptMgr:AddEffect("zf2-e236", 151, 183, 33, 1, 1, 1)
local effect_0 = CppScriptMgr:AddEffect("zf2-e236", 150, 185, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(850)
Player_1:SetHide(1)
Player_2:SetHide(1)
local effect_4 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 153, 188, 33, 1, 1, 1)
local effect_7 = CppScriptMgr:AddEffect("nag_bom_ass", 153, 188, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(470)
local Player_3 = CppScriptMgr:AddSimplePlayer(100290, 151, 183, "", 0, 0)
local npc_1 = CppScriptMgr:AddSimplePlayer(100290, 150, 185, "", 0, 0)
CppScriptMgr:WaitMilSec(2000)